#!/bin/sh
usage='usage: $0 <tag>'
tag=v5_1_0_final
tar_name=eclipse-checkstyle-5.1.0

if [ "x$tag"x = 'xx' ]; then
   echo >&2 "$usage"
   exit 1
fi

rm -fr $tar_name && mkdir $tar_name
pushd $tar_name

# Fetch plugins
for f in \
net.sf.eclipsecs-feature \
net.sf.eclipsecs.branding \
net.sf.eclipsecs.core \
net.sf.eclipsecs.doc \
net.sf.eclipsecs.checkstyle \
net.sf.eclipsecs.ui \
; do
cvs -d :pserver:anonymous@eclipse-cs.cvs.sourceforge.net:/cvsroot/eclipse-cs \
export -r $tag $f;
done

popd
# create archive
tar -caf $tar_name.tar.xz $tar_name
